<?php 
//creación de la tabla
$tabla = array('A1'=>'María','B4'=>'Roberto',3=>'Pablo','Pepe'=>'Joe','H'=>'Luis');
//bucle en la tabla
foreach ($tabla as $clave => $val) {
   //muestra los valors de la tabla concatenados con un salto de linea  
    echo'Clave:'.$clave.' ,valor:'.$val.'<br />'; 
}

?>
